> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/task-api/task-log.md).

# Task Log

The Task Log objects represent additional information regarding the execution of the task. Examples of such information include:

* The task has been started.
* The task has failed due to an issue.
* The task is currently processing a specific step, for example, the 3rd step out of 5.

This object contains the following attributes:

<table data-search="false"><thead><tr><th width="140">Field</th><th width="154">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>(Read-only) The ID of the task log record. </td></tr><tr><td><code>task</code></td><td>task, core</td><td><p>A reference to the task containing this log. </p><p>Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">{
  "id": "TSK-5498-1544-6054-5440",
  "name": "Transferring the buyer to a different account",
  "code": "platform.accounts.buyers.transfer"
}
</code></pre></td></tr><tr><td><code>severity</code></td><td>string</td><td>The severity of the task log.</td></tr><tr><td><code>message</code></td><td>string</td><td>Message template.</td></tr><tr><td><code>timestamp</code></td><td>date</td><td>The time of the log record. </td></tr><tr><td><code>progress</code></td><td>decimal</td><td>The task progress in percentage. </td></tr><tr><td><code>eta</code></td><td>string</td><td>(Optional) The estimated task completion time, if available (ISO‑8601 datetime).</td></tr><tr><td><code>parameters</code></td><td>object</td><td><p>(Optional) Message parameters. </p><p>Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">{
    "BuyerId": "BUY-4230-6788",
    "TargetAccountId": "ACC-4952-6625"
}
</code></pre></td></tr></tbody></table>

## Examples

{% tabs %}
{% tab title="MINIMAL EXAMPLE" %}
{% code title="TASK LOG OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
    "id": "TLR-1930-6351-9137-5141",
    "revision": 1,
    "task": {
        "id": "TSK-5498-1544-6054-5440",
        "name": "Transferring the buyer to a different account",
        "revision": 1,
        "status": "Completed",
        "code": "accounts.buyers.transfer"
    },
    "progress": 0,
    "eta": "2025-09-12 13:40:13.515Z",
    "severity": "Info",
    "message": "Starting buyer '{{BuyerId}}' transfer to '{{TargetAccountId}}'.",
    "timestamp": "2025-09-11T13:40:13.515Z",
    "parameters": {
        "BuyerId": "BUY-4230-6788",
        "TargetAccountId": "ACC-4952-6625"
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="COMPLETE EXAMPLE" %}
{% code title="TASK LOG OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
    "id": "TLR-1930-6351-9137-5141",
    "revision": 1,
    "task": {
        "id": "TSK-5498-1544-6054-5440",
        "name": "Transferring the buyer to a different account",
        "revision": 1,
        "status": "Completed",
        "code": "accounts.buyers.transfer"
    },
    "progress": 0,
    "eta": "2025-09-12 13:40:13.515Z",
    "severity": "Info",
    "message": "Starting buyer '{{BuyerId}}' transfer to '{{TargetAccountId}}'.",
    "timestamp": "2025-09-11T13:40:13.515Z",
    "parameters": {
        "BuyerId": "BUY-4230-6788",
        "TargetAccountId": "ACC-4952-6625"
    },
    "audit": {
        "created": {
            "at": "2025-09-11T13:40:13.655Z",
            "by": {
                "id": "SVC-0001",
                "name": "platform",
                "revision": 1
            }
        }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/task-api/task-log.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
